Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageMedian3D Class Reference

`#include <vtkImageMedian3D.h>`

Inheritance diagram for vtkImageMedian3D:

[legend]
Collaboration diagram for vtkImageMedian3D:

[legend]
List of all members.

## Detailed Description

Median Filter.

Date:
  2003/01/09 19:21:05

Revision:
  1.27

vtkImageMedian3D a Median filter that replaces each pixel with the median value from a rectangular neighborhood around that pixel. Neighborhoods can be no more than 3 dimensional. Setting one axis of the neighborhood kernelSize to 1 changes the filter into a 2D median.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (47%)
  - Martin, Ken (22%)
  - Lorensen, Bill (9%)
  - Geveci, Berk (8%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageMedian3D.h)`
  - .`cxx` (`/Imaging/vtkImageMedian3D.cxx)`

Tests:
  vtkImageMedian3D (Tests)

Definition at line 51 of file vtkImageMedian3D.h.

## Public Types
typedef vtkImageSpatialFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetKernelSize (int size0, int size1, int size2)
virtual int | GetNumberOfElements ()
## Static Public Methods
vtkImageMedian3D * | New ()
int | IsTypeOf (const char *type)
vtkImageMedian3D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageMedian3D ()
| ~vtkImageMedian3D ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ExecuteData (vtkDataObject *out)
## Protected Attributes
int | NumberOfElements

## Member Typedef Documentation

typedef vtkImageSpatialFilter vtkImageMedian3D::Superclass

| Reimplemented from vtkImageSpatialFilter. Definition at line 55 of file vtkImageMedian3D.h.

## Constructor & Destructor Documentation

vtkImageMedian3D::vtkImageMedian3D | ( |  | ) | `[protected]`

vtkImageMedian3D::~vtkImageMedian3D | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageMedian3D* vtkImageMedian3D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageSpatialFilter.

virtual const char* vtkImageMedian3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSpatialFilter.

int vtkImageMedian3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

virtual int vtkImageMedian3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

vtkImageMedian3D* vtkImageMedian3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageMedian3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSpatialFilter.

void vtkImageMedian3D::SetKernelSize | ( | int | size0,
|  | int | size1,
|  | int | size2
| ) |

| This method sets the size of the neighborhood. It also sets the default middle of the neighborhood

virtual int vtkImageMedian3D::GetNumberOfElements | ( |  | ) | `[virtual]`

| Return the number of elements in the median mask

void vtkImageMedian3D::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

void vtkImageMedian3D::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageMedian3D::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageSpatialFilter. Definition at line 78 of file vtkImageMedian3D.h.

void vtkImageMedian3D::ExecuteData | ( | vtkDataObject * | out | ) | `[protected]`

| Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageMedian3D::NumberOfElements`[protected]`

| Definition at line 71 of file vtkImageMedian3D.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageMedian3D.h